# set_epslevel

This is a simplified way of specifying multiple eps thresholds that are "logically" consistent.

unsigned char set_epslevel(lprec *lp, int epslevel);

Return Value

Returns TRUE if level accepted and FALSE if an incalid epsilon level was provided.

Parameters

lp

Pointer to previously created lp model. See return value of make_lp, copy_lp, read_lp, read_LP, read_mps, read_freemps, read_MPS, read_freeMPS, read_XLI

epslevel

Can by any of the following values:

EPS_TIGHT (0) | Very tight epsilon values (default)
EPS_MEDIUM (1) | Medium epsilon values
EPS_LOOSE (2) | Loose epsilon values
EPS_BAGGY (3) | Very loose epsilon values

Remarks

This is a simplified way of specifying multiple eps thresholds that are "logically" consistent.
It sets the following values: set_epsel, set_epsb, set_epsd, set_epspivot, set_epsint, set_mip_gap
The default is EPS_TIGHT.

Example

    #include <stdio.h>
    #include <stdlib.h>
    #include "lp_lib.h"

    int main(void)
    {
      lprec *lp;

      /* Create a new LP model */
      lp = make_lp(0, 1);
      if(lp == NULL) {
        fprintf(stderr, "Unable to create new LP model\n");
        return(1);
      }

      set_epslevel(lp, EPS_MEDIUM);

      delete_lp(lp);
      return(0);
    }

lp_solve API reference

See Also make_lp, copy_lp, read_lp, read_LP, read_mps, read_freemps, read_MPS, read_freeMPS, read_XLI, set_epsel, set_epsb, set_epsd, set_epspivot, set_epsint, set_mip_gap